Package org.eclipse.jdi

# Class OpaqueFrameException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.eclipse.jdi.OpaqueFrameException

All Implemented Interfaces:
  `Serializable`

public class OpaqueFrameException extends RuntimeException
Thrown to indicate an operation could not be performed on a frame.

Since:
  3.20
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`OpaqueFrameException()`
`OpaqueFrameException(String message)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### OpaqueFrameException

public OpaqueFrameException()

### OpaqueFrameException

public OpaqueFrameException(String message)